/**
 * EqAhTree 部件模型
 *
 * @export
 * @class EqAhTreeModel
 */
export default class EqAhTreeModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof EqAhTreeModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'orgid',
      },
      {
        name: 'updateman',
      },
      {
        name: 'activedate',
      },
      {
        name: 'activedesc',
      },
      {
        name: 'emeqahname',
      },
      {
        name: 'enable',
      },
      {
        name: 'createdate',
      },
      {
        name: 'regionenddate',
      },
      {
        name: 'eqstoplength',
      },
      {
        name: 'mfee',
      },
      {
        name: 'activebdesc',
      },
      {
        name: 'activeadesc',
      },
      {
        name: 'activelengths',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'emeqah',
        prop: 'emeqahid',
      },
      {
        name: 'prefee',
      },
      {
        name: 'description',
      },
      {
        name: 'regionbegindate',
      },
      {
        name: 'sfee',
      },
      {
        name: 'content',
      },
      {
        name: 'createman',
      },
      {
        name: 'pfee',
      },
      {
        name: 'emeqahtype',
      },
      {
        name: 'acclassname',
      },
      {
        name: 'rfoacname',
      },
      {
        name: 'rfomoname',
      },
      {
        name: 'woname',
      },
      {
        name: 'rdeptname',
      },
      {
        name: 'rfodename',
      },
      {
        name: 'rfocaname',
      },
      {
        name: 'rservicename',
      },
      {
        name: 'rteamname',
      },
      {
        name: 'equipname',
      },
      {
        name: 'rempname',
      },
      {
        name: 'objname',
      },
      {
        name: 'rfodeid',
      },
      {
        name: 'rfocaid',
      },
      {
        name: 'rteamid',
      },
      {
        name: 'acclassid',
      },
      {
        name: 'rfoacid',
      },
      {
        name: 'rfomoid',
      },
      {
        name: 'rdeptid',
      },
      {
        name: 'objid',
      },
      {
        name: 'equipid',
      },
      {
        name: 'woid',
      },
      {
        name: 'rserviceid',
      },
      {
        name: 'rempid',
      },
    ]
  }


}